#ifndef TANK_UNIT_HPP
#define TANK_UNIT_HPP

#include "unit.hpp"

class TankUnit : public Unit {
    GDCLASS(TankUnit, Unit);
    static void _bind_methods();
public:
    virtual void use_weapon() override;
};

#endif // !TANK_UNIT_HPP
